const { contextBridge, ipcRenderer } = require('electron');

contextBridge.exposeInMainWorld('IS_ELECTRON', true);

contextBridge.exposeInMainWorld('versions', {
  node: () => process.versions.node,
  chrome: () => process.versions.chrome,
  electron: () => process.versions.electron,
  app: () => '1.2.2',
});

contextBridge.exposeInMainWorld('services', {
  getTimesheet: (body) => ipcRenderer.invoke('getTimesheet', body),
  getConfig: () => ipcRenderer.invoke('getAppConfig'),
  setConfig: config => ipcRenderer.invoke('setAppConfig', config),
});