import { createRouter, createWebHistory, createWebHashHistory } from "vue-router";
import TimesheetView from "./views/Timesheet/Timesheet.vue";
import ConfigurationView from './views/Configuration/Configuration.vue';

const routes = [{
    path: "/",
    name: "home",
    component: TimesheetView,
  }, {
    path: '/config',
    name: 'config',
    component: ConfigurationView
  }
  // {
  //     path: "/about",
  //     name: "about",
  //     // route level code-splitting
  //     // this generates a separate chunk (About.[hash].js) for this route
  //     // which is lazy-loaded when the route is visited.
  //     component: () =>
  //         import ("../views/AboutView.vue"),
  // },
];
const router = createRouter({
  history: window.IS_ELECTRON ? createWebHashHistory() : createWebHistory(),
  routes,
});

export default router;